@echo off

setlocal

set MODE=clean
IF EXIST %~dp0.mode set /p MODE=<%~dp0.mode

IF "x%MODE%"=="xwar_wartest" GOTO already_done
IF "x%MODE%"=="xwar" GOTO no_clean
IF "x%MODE%"=="xclean" GOTO no_clean

call clean.cmd internal

:no_clean
pushd %~dp0..

echo war_wartest > setup\.mode

copy cfgs\war\patch-us-publictestserver.cfg patch.cfg
call hashdbs/import_hashdb_war-us.cmd

popd

endlocal

GOTO done
:already_done
echo FakeWP is already in war_wartest-mode - use clean.cmd to reset FakeWP first!

:done
echo done.
pause